Page MenuHomePhabricator

[SMW] [ROADMAP] [OPEN] Replace #info pop-up code
Closed, ResolvedPublic

Description

This request is used to track the roadmap point "Replace #info pop-up code"

Description

The current JavaScript used for pop-ups in SMW, such as these used by #info, is far from ideal. It makes use of deprecated MediaWiki JS, which will probably be removed around 1.20, and the pop-ups have a fixed size and do not adapt to their content. This can be done better using some jQuery plugin or so. '''[independent]'''

Package

SMW

Release

Not defined

Solutions

MW 1.18/1.19 deploys a standard tooltip solution jQuery.tipsy (see [2]])

See also

[1] http://www.semantic-mediawiki.org/wiki/Roadmap#Replace_.23info_pop-up_code

[2] http://www.mediawiki.org/wiki/ResourceLoader/Default_modules#jQuery.tipsy


Version: master
Severity: normal

Details

Reference
bz37361

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:28 AM
bzimport set Reference to bz37361.
bzimport added a subscriber: Unknown Object (MLST).
mwjames created this task.Jun 6 2012, 12:07 AM

See also bug 29764

Unknown Object (User) added a comment.Jun 8 2012, 11:41 PM

In case tipsy does not provide enough flexibility, an alternative could be a hovercard ([1], [2]).

[1] https://github.com/rrrene/tipsy.hovercard

[2] http://designwithpc.com/Plugins/Hovercard

Unknown Object (User) added a comment.Sep 29 2012, 1:06 PM

I think tipsy is good for some simple display of static information but in case of interactivity qtip2 might be a better choice.

qtip2 supports speech bubble tips, imagemap support, content loading via Ajax (see [1]), and is MIT/GPLv2 licensed.

[1] http://craigsworks.com/projects/qtip2/demos/#ajax

Unknown Object (User) added a comment.Oct 3 2012, 2:41 AM
Unknown Object (User) added a comment.Oct 3 2012, 8:48 PM

Has been merged